/dts-v1/;

/ {

	__fixups__ {
		accdet = "/fragment@17:target:0";
		auxadc = "/fragment@37:target:0", "/fragment@38/__overlay__:io-channels:0";
		charger = "/fragment@33:target:0";
		chosen = "/fragment@0:target:0";
		dispsys_config = "/fragment@10:target:0";
		dsi0 = "/fragment@11:target:0";
		dsi_te = "/fragment@58:target:0";
		fusb340 = "/fragment@21:target:0";
		gpio = "/fragment@53:target:0";
		gpio_usage_mapping = "/fragment@52:target:0";
		gps = "/fragment@16:target:0";
		i2c0 = "/fragment@40:target:0";
		i2c1 = "/fragment@41:target:0";
		i2c10 = "/fragment@50:target:0";
		i2c11 = "/fragment@32:target:0", "/fragment@35:target:0", "/fragment@51:target:0";
		i2c2 = "/fragment@42:target:0", "/fragment@68:target:0";
		i2c3 = "/fragment@3:target:0", "/fragment@43:target:0";
		i2c4 = "/fragment@44:target:0";
		i2c5 = "/fragment@45:target:0";
		i2c6 = "/fragment@28:target:0", "/fragment@46:target:0", "/fragment@71:target:0";
		i2c7 = "/fragment@27:target:0", "/fragment@47:target:0";
		i2c8 = "/fragment@48:target:0";
		i2c9 = "/fragment@49:target:0", "/fragment@69:target:0";
		irtx_pwm = "/fragment@1:target:0";
		kd_camera_hw1 = "/fragment@63:target:0", "/fragment@67:target:0";
		keypad = "/fragment@18:target:0", "/fragment@65:target:0";
		lk_charger = "/fragment@34:target:0";
		md1_sim1_hot_plug_eint = "/fragment@60:target:0";
		md_auxadc = "/fragment@38:target:0";
		mrdump_ext_rst = "/fragment@54:target:0";
		msdc1_ins = "/fragment@55:target:0";
		mt6360_pmic = "/fragment@6:target:0";
		mt6360_pmu = "/fragment@5:target:0";
		mt6360_typec = "/fragment@7:target:0";
		mt_pmic_vcamio_ldo_reg = "/fragment@61:target:0", "/fragment@67/__overlay__:cam0_vcamio-supply:0", "/fragment@67/__overlay__:cam1_vcamio-supply:0", "/fragment@67/__overlay__:cam2_vcamio-supply:0", "/fragment@67/__overlay__:cam3_vcamio-supply:0";
		mt_pmic_vfp_ldo_reg = "/fragment@13/__overlay__/fingerprint@0:vmch-supply:0";
		mt_pmic_vtp_ldo_reg = "/fragment@62:target:0", "/fragment@64/__overlay__:vtouch-supply:0";
		mtkfb = "/fragment@9:target:0";
		odm = "/fragment@12:target:0", "/fragment@31:target:0", "/fragment@36:target:0";
		pio = "/fragment@2:target:0", "/fragment@2/__overlay__/nfc:gpio-rst-std:0", "/fragment@2/__overlay__/nfc:gpio-irq-std:0", "/fragment@2/__overlay__/irq_nfc:interrupt-parent:0", "/fragment@3/__overlay__/nfc_nxp@28:nxp,pn544-irq:0", "/fragment@3/__overlay__/nfc_nxp@28:nxp,pn544-ven:0", "/fragment@3/__overlay__/nfc_nxp@28:nxp,pn544-fw-dwnld:0", "/fragment@4:target:0", "/fragment@5/__overlay__:mt6360,intr_gpio:0", "/fragment@5/__overlay__:mt6360,tc30_dp_gpio:0", "/fragment@5/__overlay__:mt6360,tc30_dm_gpio:0", "/fragment@7/__overlay__:mt6360pd,intr_gpio:0", "/fragment@8:target:0", "/fragment@11/__overlay__/panel1@0:reset-gpios:0", "/fragment@11/__overlay__/panel1@0:bias-gpios:0", "/fragment@11/__overlay__/panel1@0:bias-gpios:12", "/fragment@12/__overlay__/fingerprint:interrupt-parent:0", "/fragment@13/__overlay__/fingerprint@0:interrupt-parent:0", "/fragment@13/__overlay__/fingerprint@0:irq-gpio-std:0", "/fragment@13/__overlay__/fingerprint@0:reset-gpio-std:0", "/fragment@14:target:0", "/fragment@15:target:0", "/fragment@19:target:0", "/fragment@22:target:0", "/fragment@24:target:0", "/fragment@29:target:0", "/fragment@35/__overlay__/hl7138_master@55:hl7138,intr-gpios:0", "/fragment@52/__overlay__:GPIO_RF_PWREN_RST_PIN:0", "/fragment@52/__overlay__:GPIO_SIM2_SIO:0", "/fragment@52/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@52/__overlay__:GPIO_SIM2_SRST:0", "/fragment@52/__overlay__:GPIO_SIM1_SRST:0", "/fragment@52/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@52/__overlay__:GPIO_SIM1_SIO:0", "/fragment@52/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@54/__overlay__:interrupt-parent:0", "/fragment@55/__overlay__:interrupt-parent:0", "/fragment@55/__overlay__:deb-gpios:0", "/fragment@56/__overlay__:interrupt-parent:0", "/fragment@57/__overlay__:interrupt-parent:0", "/fragment@58/__overlay__:interrupt-parent:0", "/fragment@59/__overlay__:interrupt-parent:0", "/fragment@66:target:0", "/fragment@70:target:0", "/fragment@72:target:0";
		pmic_clock_buffer_ctrl = "/fragment@39:target:0";
		ps5169 = "/fragment@20:target:0";
		rt5133_eint = "/fragment@59:target:0";
		sound = "/fragment@26:target:0";
		spi4 = "/fragment@25:target:0";
		spi5 = "/fragment@13:target:0";
		subpmic_pmu_eint = "/fragment@56:target:0";
		touch = "/fragment@23:target:0", "/fragment@57:target:0", "/fragment@64:target:0";
		u2port0 = "/fragment@30:target:0";
	};

	__local_fixups__ {

		fragment@1 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@10 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
			};
		};

		fragment@11 {

			__overlay__ {

				panel1@0 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				ports {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@12 {

			__overlay__ {

				cam_vdd_ext {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};

				fingerprint {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
				};

				flashlights_aw36515 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};
			};
		};

		fragment@13 {

			__overlay__ {

				fingerprint@0 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
				};
			};
		};

		fragment@16 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};

		fragment@18 {

			__overlay__ {
				pinctrl-0 = <0x0>;
			};
		};

		fragment@20 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@21 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@23 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};

		fragment@26 {

			__overlay__ {

				mediatek,speaker-codec {
					sound-dai = <0x0>;
				};
			};
		};

		fragment@31 {

			__overlay__ {

				tran_battery {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@67 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-11 = <0x0>;
				pinctrl-12 = <0x0>;
				pinctrl-13 = <0x0>;
				pinctrl-14 = <0x0>;
				pinctrl-15 = <0x0>;
				pinctrl-16 = <0x0>;
				pinctrl-17 = <0x0>;
				pinctrl-18 = <0x0>;
				pinctrl-19 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-20 = <0x0>;
				pinctrl-21 = <0x0>;
				pinctrl-22 = <0x0>;
				pinctrl-23 = <0x0>;
				pinctrl-24 = <0x0>;
				pinctrl-25 = <0x0>;
				pinctrl-26 = <0x0>;
				pinctrl-27 = <0x0>;
				pinctrl-28 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@9 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};
	};

	__symbols__ {
		cam_vdd_ext = "/fragment@12/__overlay__/cam_vdd_ext";
		camera_main_af_mtk = "/fragment@42/__overlay__/camera_main_af@0c";
		camera_main_mtk = "/fragment@42/__overlay__/camera_main@10";
		camera_main_two_mtk = "/fragment@48/__overlay__/camera_main_two@10";
		camera_pins_cam0_mclk_2ma = "/fragment@66/__overlay__/camera_pins_cam0_mclk_2ma";
		camera_pins_cam0_mclk_4ma = "/fragment@66/__overlay__/camera_pins_cam0_mclk_4ma";
		camera_pins_cam0_mclk_6ma = "/fragment@66/__overlay__/camera_pins_cam0_mclk_6ma";
		camera_pins_cam0_mclk_8ma = "/fragment@66/__overlay__/camera_pins_cam0_mclk_8ma";
		camera_pins_cam0_mclk_off = "/fragment@66/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_rst_0 = "/fragment@66/__overlay__/cam0@0";
		camera_pins_cam0_rst_1 = "/fragment@66/__overlay__/cam0@1";
		camera_pins_cam1_mclk_2ma = "/fragment@66/__overlay__/camera_pins_cam1_mclk_2ma";
		camera_pins_cam1_mclk_4ma = "/fragment@66/__overlay__/camera_pins_cam1_mclk_4ma";
		camera_pins_cam1_mclk_6ma = "/fragment@66/__overlay__/camera_pins_cam1_mclk_6ma";
		camera_pins_cam1_mclk_8ma = "/fragment@66/__overlay__/camera_pins_cam1_mclk_8ma";
		camera_pins_cam1_mclk_off = "/fragment@66/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_rst_0 = "/fragment@66/__overlay__/cam1@0";
		camera_pins_cam1_rst_1 = "/fragment@66/__overlay__/cam1@1";
		camera_pins_cam2_mclk_2ma = "/fragment@66/__overlay__/camera_pins_cam2_mclk_2ma";
		camera_pins_cam2_mclk_4ma = "/fragment@66/__overlay__/camera_pins_cam2_mclk_4ma";
		camera_pins_cam2_mclk_6ma = "/fragment@66/__overlay__/camera_pins_cam2_mclk_6ma";
		camera_pins_cam2_mclk_8ma = "/fragment@66/__overlay__/camera_pins_cam2_mclk_8ma";
		camera_pins_cam2_mclk_off = "/fragment@66/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam2_rst_0 = "/fragment@66/__overlay__/cam2@0";
		camera_pins_cam2_rst_1 = "/fragment@66/__overlay__/cam2@1";
		camera_pins_cam3_mclk_2ma = "/fragment@66/__overlay__/camera_pins_cam3_mclk_2ma";
		camera_pins_cam3_mclk_4ma = "/fragment@66/__overlay__/camera_pins_cam3_mclk_4ma";
		camera_pins_cam3_mclk_6ma = "/fragment@66/__overlay__/camera_pins_cam3_mclk_6ma";
		camera_pins_cam3_mclk_8ma = "/fragment@66/__overlay__/camera_pins_cam3_mclk_8ma";
		camera_pins_cam3_mclk_off = "/fragment@66/__overlay__/camera_pins_cam3_mclk_off";
		camera_pins_cam3_rst_0 = "/fragment@66/__overlay__/cam3@0";
		camera_pins_cam3_rst_1 = "/fragment@66/__overlay__/cam3@1";
		camera_pins_default = "/fragment@66/__overlay__/camdefault";
		camera_sub_mtk = "/fragment@49/__overlay__/camera_sub@20";
		camera_sub_two_mtk = "/fragment@44/__overlay__/camera_sub_two@10";
		ctp_pins_default = "/fragment@24/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@24/__overlay__/eint@0";
		ctp_pins_eint_output0 = "/fragment@24/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@24/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@24/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@24/__overlay__/rstoutput1";
		ctp_pins_spi_mode = "/fragment@24/__overlay__/spimode_default";
		dsi_out = "/fragment@11/__overlay__/ports/port/endpoint";
		ext_ldo_pins_default = "/fragment@70/__overlay__/extldodefault";
		ext_ldo_pins_hwen_high = "/fragment@70/__overlay__/extldo_en_high";
		ext_ldo_pins_hwen_low = "/fragment@70/__overlay__/extldo_en_low";
		fingerprint = "/fragment@12/__overlay__/fingerprint";
		fingerprint_default = "/fragment@14/__overlay__/fingerprint_default";
		fingerprint_eint = "/fragment@14/__overlay__/gpio22_eint";
		fingerprint_eint_pull_down = "/fragment@14/__overlay__/gpio22_eint_pull_down";
		fingerprint_rst_one = "/fragment@14/__overlay__/rst_out_one";
		fingerprint_rst_zero = "/fragment@14/__overlay__/rst_out_zero";
		flashlights_aw36515 = "/fragment@12/__overlay__/flashlights_aw36515";
		flashlights_aw36515_pins_default = "/fragment@72/__overlay__/aw36515default";
		flashlights_aw36515_pins_hwen_high = "/fragment@72/__overlay__/aw36515hwen_high";
		flashlights_aw36515_pins_hwen_low = "/fragment@72/__overlay__/aw36515hwen_low";
		fs16xx = "/fragment@27/__overlay__/fs16xx@34";
		gpio_meta = "/fragment@29/__overlay__/meta_init";
		gpio_meta_high = "/fragment@29/__overlay__/meta_high";
		gpio_meta_low = "/fragment@29/__overlay__/meta_low";
		gpio_otg = "/fragment@29/__overlay__/otg_init";
		gpio_otg_high = "/fragment@29/__overlay__/otg_high";
		gpio_otg_low = "/fragment@29/__overlay__/otg_low";
		gps_l1_lna_pins_dsp_ctrl = "/fragment@15/__overlay__/gps_l1_lna@1";
		gps_l1_lna_pins_oh = "/fragment@15/__overlay__/gps_l1_lna@2";
		gps_l1_lna_pins_ol = "/fragment@15/__overlay__/gps_l1_lna@0";
		gps_l5_lna_pins_dsp_ctrl = "/fragment@15/__overlay__/gps_l5_lna@1";
		gps_l5_lna_pins_oh = "/fragment@15/__overlay__/gps_l5_lna@2";
		gps_l5_lna_pins_ol = "/fragment@15/__overlay__/gps_l5_lna@0";
		gps_pins_default = "/fragment@15/__overlay__/gps_default";
		i2c_lcd_bias_mtk = "/fragment@46/__overlay__/i2c_lcd_bias@3e";
		irq_nfc = "/fragment@2/__overlay__/irq_nfc";
		irtx_gpio_led_default = "/fragment@4/__overlay__/irtx_gpio_led_def@gpio139";
		irtx_gpio_led_set = "/fragment@4/__overlay__/irtx_gpio_led_set@gpio139";
		kpd_pins_default = "/fragment@19/__overlay__/kpdgpiodefault";
		led0 = "/fragment@12/__overlay__/led@0";
		led1 = "/fragment@12/__overlay__/led@1";
		led2 = "/fragment@12/__overlay__/led@2";
		led3 = "/fragment@12/__overlay__/led@3";
		led4 = "/fragment@12/__overlay__/led@4";
		led5 = "/fragment@12/__overlay__/led@5";
		led6 = "/fragment@12/__overlay__/led@6";
		mtk_camera_eeprom0 = "/fragment@68/__overlay__/camera_eeprom0@50";
		mtk_camera_eeprom1 = "/fragment@69/__overlay__/camera_eeprom1@51";
		mtkfb_pins_lcd_bias_enn0 = "/fragment@8/__overlay__/lcd_bias_enn0_gpio";
		mtkfb_pins_lcd_bias_enn1 = "/fragment@8/__overlay__/lcd_bias_enn1_gpio";
		mtkfb_pins_lcd_bias_enp0 = "/fragment@8/__overlay__/lcd_bias_enp0_gpio";
		mtkfb_pins_lcd_bias_enp1 = "/fragment@8/__overlay__/lcd_bias_enp1_gpio";
		mtkfb_pins_lcm_dsi_te = "/fragment@8/__overlay__/lcm_dsi_te";
		mtkfb_pins_lcm_rst_out0_gpio = "/fragment@8/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_rst_out1_gpio = "/fragment@8/__overlay__/lcm_rst_out1_gpio";
		nfc = "/fragment@2/__overlay__/nfc";
		nfc_mtk = "/fragment@43/__overlay__/nfc@28";
		panel_in1 = "/fragment@11/__overlay__/panel1@0/port/endpoint";
		pd_adapter = "/fragment@31/__overlay__/pd_adapter";
		ps_disable = "/fragment@22/__overlay__/ps_disable";
		ps_enable = "/fragment@22/__overlay__/ps_enable";
		sel_down = "/fragment@22/__overlay__/sel_down";
		sel_up = "/fragment@22/__overlay__/sel_up";
		speaker_amp = "/fragment@28/__overlay__/speaker_amp@5c";
		strobe_main_mtk = "/fragment@46/__overlay__/strobe_main@63";
		subpmic_ldo_mtk = "/fragment@45/__overlay__/subpmic_ldo@64";
		subpmic_mtk = "/fragment@45/__overlay__/subpmic@34";
		subpmic_pmic_mtk = "/fragment@45/__overlay__/subpmic_pmic@1a";
		tran_battery = "/fragment@31/__overlay__/tran_battery";
		tran_battery_aging = "/fragment@31/__overlay__/tran_battery_aging";
		tran_touch = "/fragment@25/__overlay__/touch@0";
		usb_switch = "/fragment@31/__overlay__/usb_switch";
		usb_type_c_mtk = "/fragment@45/__overlay__/usb_type_c@4e";
		vibrator0 = "/fragment@12/__overlay__/vibrator@0";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			atag,videolfb-fb_base_h = <0x0>;
			atag,videolfb-fb_base_l = "~`P";
			atag,videolfb-fps = <0x1770>;
			atag,videolfb-islcm_inited = <0x0>;
			atag,videolfb-islcmfound = <0x1>;
			atag,videolfb-lcmname = "td4330_fhdp_dsi_cmd_auo_rt4831_drv";
			atag,videolfb-vramSize = <0x1be0000>;
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1>;
			pinctrl-1 = <0x2>;
			pinctrl-names = "irtx_gpio_led_default", "irtx_gpio_led_set";
			status = "okay";
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x7>;
			pinctrl-1 = <0x8>;
			pinctrl-2 = <0x9>;
			pinctrl-names = "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			status = "okay";

			panel1@0 {
				bias-gpios = <0xffffffff 0x6b 0x0 0xffffffff 0x6c 0x0>;
				compatible = "nt36672c,fhdp,dsi,vdo,tm,tm,120hz,x6815c";
				pinctrl-names = "default";
				reg = <0x0>;
				reset-gpios = <0xffffffff 0x28 0x0>;

				port {

					endpoint {
						phandle = <0xb>;
						remote-endpoint = <0xa>;
					};
				};
			};

			ports {

				port {

					endpoint {
						phandle = <0xa>;
						remote-endpoint = <0xb>;
					};
				};
			};
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {

			cam_vdd_ext {
				compatible = "mediatek,cam_vdd_ext";
				phandle = <0x51>;
				pinctrl-0 = <0xf>;
				pinctrl-1 = <0x10>;
				pinctrl-2 = <0x11>;
				pinctrl-names = "extldodefault", "extldo_en_high", "extldo_en_low";
				status = "okay";
			};

			fingerprint {
				compatible = "tran_fp";
				debounce = <0x16 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x16 0x1 0x16 0x0>;
				phandle = <0x5a>;
				pinctrl-0 = <0x12>;
				pinctrl-1 = <0x13>;
				pinctrl-2 = <0x14>;
				pinctrl-3 = <0x15>;
				pinctrl-4 = <0x16>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low";
				status = "okay";
			};

			flashlights_aw36515 {
				compatible = "mediatek,flashlights_aw36515";
				phandle = <0x50>;
				pinctrl-0 = <0xc>;
				pinctrl-1 = <0xd>;
				pinctrl-2 = <0xe>;
				pinctrl-names = "aw36515default", "aw36515hwen_high", "aw36515hwen_low";
				status = "okay";
			};

			led@0 {
				compatible = "mediatek,red";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x52>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@1 {
				compatible = "mediatek,green";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x53>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@2 {
				compatible = "mediatek,blue";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x54>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x55>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x56>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x57>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x5>;
				phandle = <0x58>;
				pwm_config = <0x1 0x0 0x0 0x0 0x0>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				phandle = <0x59>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0xb>;
			};
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint@0 {
				compatible = "tran_fp";
				debounce = <0x16 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x16 0x1 0x16 0x0>;
				irq-gpio = <0x16>;
				irq-gpio-std = <0xffffffff 0x16 0x0>;
				pinctrl-0 = <0x12>;
				pinctrl-1 = <0x13>;
				pinctrl-2 = <0x14>;
				pinctrl-3 = <0x15>;
				pinctrl-4 = <0x16>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low";
				reg = <0x0>;
				reset-gpio = <0x15>;
				reset-gpio-std = <0xffffffff 0x15 0x0>;
				silead;
				spi-max-frequency = <0x19bfcc0>;
				status = "okay";
				vmch-supply = <0xffffffff>;
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_default {
				phandle = <0x12>;
			};

			gpio22_eint {
				phandle = <0x13>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x1600>;
					slew-rate = <0x0>;
				};
			};

			gpio22_eint_pull_down {
				phandle = <0x14>;

				pins_cmd_dat {
					bias-pull-down = <0x0>;
					output-low;
					pinmux = <0x1600>;
					slew-rate = <0x0>;
				};
			};

			rst_out_one {
				phandle = <0x15>;

				pins_cmd_dat {
					bias-disable;
					output-high;
					pinmux = <0x1500>;
					slew-rate = <0x1>;
				};
			};

			rst_out_zero {
				phandle = <0x16>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0x1500>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			gps_default {
				phandle = <0x17>;
			};

			gps_l1_lna@0 {
				phandle = <0x18>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xbc00>;
				};
			};

			gps_l1_lna@1 {
				phandle = <0x19>;

				pins_cmd_dat {
					pinmux = <0xbc04>;
				};
			};

			gps_l1_lna@2 {
				phandle = <0x1a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xbc00>;
				};
			};

			gps_l5_lna@0 {
				phandle = <0x1b>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xbd00>;
				};
			};

			gps_l5_lna@1 {
				phandle = <0x1c>;

				pins_cmd_dat {
					pinmux = <0xbd04>;
				};
			};

			gps_l5_lna@2 {
				phandle = <0x1d>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xbd00>;
				};
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x17>;
			pinctrl-1 = <0x18>;
			pinctrl-2 = <0x19>;
			pinctrl-3 = <0x1a>;
			pinctrl-4 = <0x1b>;
			pinctrl-5 = <0x1c>;
			pinctrl-6 = <0x1d>;
			pinctrl-names = "default", "gps_l1_lna_disable", "gps_l1_lna_dsp_ctrl", "gps_l1_lna_enable", "gps_l5_lna_disable", "gps_l5_lna_dsp_ctrl", "gps_l5_lna_enable";
			status = "okay";
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-mode = <0x2>;
			accdet-mic-vol = <0x8>;
			accdet-plugout-debounce = <0x1>;
			eint_use_ext_res = <0x0>;
			headset-four-key-threshold = <0x0 0x3a 0x79 0xc0 0x190>;
			headset-mode-setting = <0x500 0x500 0x1 0x1f0 0x800 0x800 0x20 0x44 0x4 0x1 0x5 0x3 0x3 0x5 0xe>;
			headset-three-key-threshold = <0x0 0x50 0xdc 0x190>;
			headset-three-key-threshold-CDD = <0x0 0x79 0xc0 0x258>;
			status = "okay";
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1e>;
			pinctrl-names = "default";
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {

			kpdgpiodefault {
				phandle = <0x1e>;

				pins_cmd_dat {
					bias-pull-up = <0x66>;
					input-enable;
					input-schmitt-enable;
					pinmux = <0x7401>;
				};
			};
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			irq_nfc {
				compatible = "mediatek,irq_nfc-eint";
				interrupt-parent = <0xffffffff>;
				interrupts = <0xb 0x4>;
				phandle = <0x4f>;
				status = "okay";
			};

			nfc {
				compatible = "mediatek,nfc-gpio-v2";
				gpio-irq = <0xb>;
				gpio-irq-std = <0xffffffff 0xb 0x0>;
				gpio-rst = <0xa>;
				gpio-rst-std = <0xffffffff 0xa 0x0>;
				phandle = <0x4e>;
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1f>;
			pinctrl-1 = <0x20>;
			pinctrl-names = "enable", "disable";
			status = "disable";
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x21>;
			pinctrl-1 = <0x22>;
			pinctrl-names = "sel_up", "sel_down";
			status = "okay";
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {

			ps_disable {
				phandle = <0x20>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x7900>;
				};
			};

			ps_enable {
				phandle = <0x1f>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x7900>;
				};
			};

			sel_down {
				phandle = <0x22>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x600>;
				};
			};

			sel_up {
				phandle = <0x21>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x600>;
				};
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,touch";
			pinctrl-0 = <0x23>;
			pinctrl-1 = <0x24>;
			pinctrl-2 = <0x25>;
			pinctrl-3 = <0x26>;
			pinctrl-4 = <0x27>;
			pinctrl-5 = <0x28>;
			pinctrl-6 = <0x29>;
			pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1", "state_spi_mode";
			status = "okay";
			tpd-filter-custom-prameters = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			tpd-filter-custom-speed = <0x0 0x0 0x0>;
			tpd-filter-enable = <0x0>;
			tpd-filter-pixel-density = <0xa8>;
			tpd-key-dim-local = <0x5a 0x373 0x64 0x28 0xe6 0x373 0x64 0x28 0x172 0x373 0x64 0x28 0x0 0x0 0x0 0x0>;
			tpd-key-local = <0x8b 0xac 0x9e 0x0>;
			tpd-key-num = <0x3>;
			tpd-max-touch-num = <0xa>;
			tpd-resolution = <0x438 0x99c>;
			use-tpd-button = <0x0>;
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {

			eint0default {
				phandle = <0x23>;
			};

			eint@0 {
				phandle = <0x24>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xe00>;
					slew-rate = <0x0>;
				};
			};

			eintoutput0 {
				phandle = <0x25>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xe00>;
					slew-rate = <0x1>;
				};
			};

			eintoutput1 {
				phandle = <0x26>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xe00>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				phandle = <0x27>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xf00>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				phandle = <0x28>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xf00>;
					slew-rate = <0x1>;
				};
			};

			spimode_default {
				phandle = <0x29>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0xc02 0xd02 0x4002 0x4102>;
				};
			};
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {

			touch@0 {
				compatible = "novatek,NVT-ts-spi";
				novatek,mp-support-dt;
				novatek,spi-rd-fast-addr = <0x3f310>;
				novatek,swrst-n8-addr = <0x3f0fe>;
				phandle = <0x5b>;
				reg = <0x0>;
				spi-max-frequency = <0x7a1200>;
				status = "okay";

				novatek-mp-criteria-6283@0 {
					#address-cells = <0x1>;
					#size-cells = <0x0>;
					AIN_KEY = <0x0 0x1 0x2 0xff>;
					AIN_X = <0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf>;
					AIN_Y = <0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf 0x10 0x11 0x12 0x13 0x14 0x15 0x16 0x17 0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x1e 0x1f 0x20 0x21 0x22 0x23>;
					IC_KEY_CFG_SIZE = <0x4>;
					IC_X_CFG_SIZE = <0x10>;
					IC_Y_CFG_SIZE = <0x24>;
					PS_Config_Diff_Test_Frame = <0x32>;
					PS_Config_Lmt_FW_CC_N = <0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x13 0x13 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x12 0x13 0x13 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x13 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x12 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x13 0x12 0x12 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x0 0x0 0x0>;
					PS_Config_Lmt_FW_CC_P = <0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x2a 0x2a 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2c 0x2c 0x2c 0x2c 0x2a 0x2c 0x2c 0x2c 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2c 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2c 0x2c 0x2c 0x2c 0x2c 0x2c 0x2c 0x2c 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x29 0x2a 0x2a 0x29 0x29 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2c 0x2a 0x29 0x29 0x2a 0x29 0x2a 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2c 0x2a 0x2c 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x2c 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2c 0x29 0x29 0x2c 0x2a 0x2c 0x2c 0x2c 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x2c 0x2a 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2c 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x2c 0x2c 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2c 0x2a 0x2a 0x2a 0x29 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2c 0x2c 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x2a 0x29 0x29 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2c 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2c 0x2a 0x2a 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2c 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x13a 0x13a 0x13a>;
					PS_Config_Lmt_FW_Diff_N = <0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffb5 0xffffffb5 0xffffffb5>;
					PS_Config_Lmt_FW_Diff_P = <0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x4b 0x4b 0x4b>;
					PS_Config_Lmt_FW_Rawdata_N = <0x1d7 0x1e1 0x1df 0x1e7 0x1df 0x1e3 0x1e0 0x1e7 0x1f4 0x1e1 0x1dc 0x1f3 0x1de 0x1e9 0x1f2 0x1eb 0x1f1 0x1e3 0x1e3 0x1ec 0x1dd 0x1e9 0x1e6 0x1f1 0x1f6 0x1e7 0x1e1 0x1e1 0x1e2 0x1e4 0x1e0 0x1f2 0x1de 0x1d7 0x1da 0x1e2 0x1dd 0x1d8 0x1dd 0x1db 0x1e7 0x1e3 0x1dd 0x1db 0x1e0 0x1e4 0x1d7 0x1ee 0x1d5 0x1c6 0x1c8 0x1cd 0x1d1 0x1cc 0x1d1 0x1da 0x1db 0x1cc 0x1c2 0x1cc 0x1c5 0x1cc 0x1da 0x1e1 0x1d2 0x1df 0x1dd 0x1ca 0x1e8 0x1cb 0x1ca 0x1d0 0x1db 0x1f1 0x1eb 0x1dd 0x1ed 0x1ed 0x1ed 0x1e2 0x1e2 0x1c6 0x1ce 0x1cf 0x1ce 0x1d5 0x1ce 0x1e1 0x1f3 0x1f6 0x1f0 0x1f0 0x1f0 0x1f1 0x1e9 0x1f2 0x1e0 0x1cd 0x1cb 0x1d5 0x1ca 0x1d5 0x1cc 0x1da 0x1f9 0x1f6 0x1ef 0x1ef 0x1ed 0x1ed 0x1ec 0x1f2 0x1ce 0x1f5 0x1eb 0x1ee 0x1fc 0x1f2 0x1f5 0x1d7 0x1d4 0x1d1 0x1cc 0x1cc 0x1d2 0x1d3 0x1d2 0x1dd 0x1dc 0x1dd 0x1de 0x1dd 0x1de 0x1d9 0x1d9 0x1dc 0x1d9 0x1d7 0x1d7 0x1da 0x1db 0x1d7 0x1d3 0x1da 0x1cd 0x1c2 0x1c6 0x1c5 0x1c6 0x1cc 0x1c3 0x1e3 0x1cb 0x1d4 0x1fe 0x1fc 0x1fe 0x1f9 0x1fb 0x1c6 0x1f2 0x1ed 0x1e7 0x1f2 0x1ea 0x1f0 0x1ef 0x1e6 0x1ea 0x1e3 0x1e6 0x1e3 0x1e3 0x1e1 0x1dd 0x1ec 0x1ef 0x1e4 0x1e9 0x1e7 0x1ec 0x1f0 0x1e7 0x1d4 0x1dd 0x1e1 0x1de 0x1e1 0x1e0 0x1da 0x1d4 0x1e0 0x1e6 0x1e9 0x1dd 0x1d8 0x1de 0x1d4 0x1d7 0x1b9 0x1da 0x1d7 0x1e7 0x1d7 0x1dc 0x1e6 0x1ed 0x1dc 0x1c9 0x1c9 0x1d4 0x1e2 0x1db 0x1d8 0x1e4 0x1d7 0x1e6 0x1ed 0x1e8 0x1e9 0x1ef 0x1ea 0x1e6 0x1ea 0x1f2 0x1d8 0x1dd 0x1ea 0x1df 0x1f3 0x1ef 0x201 0x1e7 0x1e8 0x1f2 0x1ed 0x1ec 0x1ee 0x1ea 0x1e3 0x1d2 0x201 0x208 0x1d2 0x202 0x1b7 0x1bc 0x1d1 0x1d6 0x1da 0x1e7 0x1f2 0x1f9 0x1f8 0x1f3 0x1ba 0x1d3 0x1bc 0x1c5 0x1cf 0x1c9 0x1d6 0x1d3 0x1d8 0x1d7 0x1df 0x1e0 0x1dc 0x1d4 0x1d2 0x1d7 0x1da 0x1e1 0x1f1 0x1f0 0x1f4 0x1ed 0x1de 0x1e1 0x1ce 0x1d7 0x1cb 0x1cc 0x1d2 0x1e0 0x1dc 0x1ec 0x1d2 0x1dd 0x1db 0x1ec 0x1ed 0x1e6 0x1db 0x1de 0x1e0 0x1dd 0x1d8 0x1d1 0x1d2 0x1ce 0x1d2 0x1cd 0x1e6 0x1cf 0x1e2 0x1de 0x1e3 0x1f3 0x1e5 0x1ec 0x1eb 0x1db 0x1de 0x1dc 0x1e6 0x1db 0x1e9 0x1e8 0x1ef 0x1dd 0x1ec 0x1e7 0x1e1 0x1e4 0x1e4 0x1e1 0x1e2 0x1e1 0x1d4 0x1d2 0x1c3 0x1cd 0x1ca 0x1c1 0x1e5 0x1e8 0x1d0 0x1cb 0x1cf 0x1cc 0x1cd 0x1d5 0x1d5 0x1e5 0x1d2 0x1d2 0x1ca 0x1cf 0x1d6 0x1cf 0x1ed 0x1cf 0x1dd 0x1e1 0x1dc 0x1e6 0x1e1 0x1de 0x1e1 0x1e3 0x1e4 0x1e5 0x1e3 0x1e3 0x1e3 0x1e2 0x1de 0x1e7 0x1da 0x1dd 0x1e0 0x1d5 0x1d3 0x1e1 0x1e5 0x1e4 0x1e7 0x1e1 0x1f1 0x1e7 0x1ea 0x1e7 0x1d5 0x1e8 0x1d8 0x1d2 0x1d6 0x1cc 0x1d3 0x1cf 0x1cc 0x1eb 0x1e3 0x1e4 0x1dd 0x1e1 0x1e7 0x1e3 0x1f0 0x1e6 0x1e4 0x1df 0x1d8 0x1df 0x1dc 0x1da 0x1df 0x1e0 0x1cf 0x1cc 0x1d5 0x1cc 0x1c8 0x1ca 0x1dc 0x1dc 0x1e9 0x1e6 0x1e4 0x1e4 0x1e4 0x1e5 0x1e7 0x1ce 0x1d1 0x1d2 0x1cc 0x1d2 0x1d9 0x1d7 0x1e9 0x1fe 0x1e4 0x1e1 0x1dd 0x1d8 0x1da 0x1df 0x1ea 0x1dd 0x1cd 0x1ce 0x1c9 0x1cd 0x1d6 0x1d3 0x1e9 0x1da 0x1c3 0x1bd 0x1bc 0x1be 0x1b9 0x1bf 0x1c1 0x1c8 0x1c5 0x1c6 0x1c3 0x1c2 0x1c6 0x1c5 0x1dd 0x1e9 0x1d4 0x1d3 0x1e0 0x1e0 0x1df 0x1cf 0x1cc 0x1cb 0x1dc 0x1de 0x1da 0x1dd 0x1da 0x1d9 0x1d2 0x1db 0x1cb 0x1cf 0x1d7 0x1d7 0x1d5 0x1d4 0x1d5 0x1c6 0x1bf 0x1c3 0x1c9 0x1c3 0x1bc 0x1cd 0x1d9 0x1e7 0x1de 0x1db 0x1de 0x1e2 0x1dd 0x1d9 0x1db 0x1e3 0x1d4 0x1d1 0x1d1 0x1da 0x1d5 0x1da 0x1e3 0x1d8 0x1d7 0x1dc 0x1d4 0x1e2 0x1d5 0x1da 0x1db 0x1db 0x1dd 0x1d5 0x1d4 0x1d5 0x1dd 0x1d3 0x1ef 0x1ea 0x1df 0x1e6 0x1de 0x1e1 0x1df 0x1e4 0x1e4 0x1e7 0x1dd 0x1d5 0x1d5 0x1d7 0x1dd 0x1d5 0x1f2 0x1e3 0x1d9 0x1de 0x1e3 0x1db 0x1da 0x1df 0x1dd 0x1f4 0x1f5 0x1f9 0x1fa 0x1f9 0x1f7 0x1f9 0x1ee 0x1dd 0x1d9 0x1e0 0x1e0 0x1e3 0x1eb 0x1e1 0x1e6 0x1d1 0x1f9 0x1f8 0x1fc 0x1ef 0x1f0 0x1ea 0x1ee 0xf0 0xf0 0xf0>;
					PS_Config_Lmt_FW_Rawdata_P = <0x44b 0x464 0x45e 0x470 0x45e 0x467 0x461 0x472 0x48f 0x464 0x457 0x48e 0x45d 0x476 0x48a 0x47a 0x488 0x467 0x468 0x47d 0x45a 0x475 0x46f 0x488 0x493 0x472 0x464 0x464 0x465 0x46b 0x460 0x48a 0x45d 0x44c 0x452 0x465 0x459 0x44f 0x459 0x456 0x472 0x468 0x45a 0x454 0x460 0x469 0x44b 0x481 0x446 0x425 0x428 0x434 0x43d 0x431 0x43e 0x453 0x456 0x431 0x41b 0x433 0x422 0x431 0x452 0x462 0x441 0x45e 0x459 0x42d 0x473 0x42f 0x42d 0x43b 0x454 0x488 0x47a 0x45a 0x47e 0x47e 0x47e 0x465 0x465 0x423 0x437 0x43a 0x436 0x448 0x436 0x462 0x48c 0x493 0x487 0x485 0x485 0x488 0x476 0x48b 0x461 0x434 0x430 0x446 0x42d 0x448 0x433 0x452 0x49c 0x493 0x484 0x483 0x480 0x47e 0x47d 0x48b 0x437 0x492 0x47a 0x481 0x4a1 0x48b 0x492 0x44c 0x445 0x43e 0x431 0x433 0x43f 0x442 0x441 0x45a 0x457 0x459 0x45d 0x45a 0x45d 0x450 0x450 0x457 0x450 0x44c 0x44b 0x453 0x456 0x44c 0x442 0x452 0x434 0x41a 0x423 0x421 0x425 0x433 0x41e 0x467 0x42f 0x445 0x4a6 0x4a3 0x4a7 0x49a 0x49f 0x425 0x48a 0x47e 0x472 0x48b 0x477 0x487 0x483 0x46e 0x477 0x468 0x46f 0x468 0x468 0x464 0x459 0x47d 0x484 0x469 0x475 0x470 0x47c 0x487 0x470 0x444 0x45a 0x462 0x45b 0x464 0x461 0x452 0x445 0x461 0x46e 0x475 0x45a 0x44f 0x45d 0x445 0x44c 0x406 0x453 0x44c 0x472 0x44b 0x457 0x46e 0x480 0x457 0x42c 0x42a 0x445 0x465 0x454 0x44f 0x46b 0x44c 0x46f 0x47e 0x473 0x476 0x484 0x477 0x46e 0x477 0x48b 0x44f 0x459 0x477 0x45e 0x48e 0x484 0x4ae 0x470 0x473 0x48a 0x480 0x47c 0x481 0x477 0x467 0x441 0x4ad 0x4bd 0x43f 0x4af 0x400 0x40d 0x43e 0x449 0x453 0x472 0x48a 0x49a 0x498 0x48c 0x407 0x442 0x40d 0x422 0x438 0x42a 0x449 0x442 0x44d 0x44c 0x45e 0x460 0x457 0x445 0x43f 0x44c 0x453 0x464 0x488 0x487 0x48f 0x47e 0x45d 0x464 0x436 0x44b 0x42f 0x433 0x441 0x460 0x457 0x47c 0x43f 0x459 0x456 0x47c 0x47e 0x46f 0x454 0x45b 0x461 0x45a 0x44f 0x43d 0x43f 0x436 0x43f 0x434 0x46f 0x43a 0x465 0x45d 0x467 0x48c 0x46c 0x47c 0x47a 0x454 0x45b 0x457 0x46e 0x454 0x476 0x473 0x484 0x45a 0x47d 0x472 0x462 0x469 0x469 0x464 0x465 0x464 0x445 0x43f 0x41e 0x434 0x42d 0x418 0x46c 0x473 0x43b 0x430 0x438 0x433 0x434 0x446 0x446 0x46c 0x441 0x441 0x42d 0x43a 0x449 0x438 0x47e 0x43a 0x45a 0x464 0x457 0x46e 0x464 0x45b 0x464 0x467 0x469 0x46c 0x468 0x467 0x468 0x465 0x45d 0x472 0x452 0x459 0x460 0x446 0x442 0x464 0x46c 0x469 0x470 0x464 0x488 0x470 0x479 0x470 0x448 0x473 0x44f 0x441 0x449 0x431 0x442 0x438 0x431 0x47a 0x468 0x469 0x45a 0x464 0x470 0x468 0x487 0x46f 0x46b 0x45e 0x44d 0x45e 0x457 0x452 0x45e 0x461 0x438 0x431 0x448 0x431 0x429 0x42d 0x457 0x457 0x476 0x46e 0x46b 0x469 0x46b 0x46c 0x472 0x436 0x43e 0x441 0x433 0x43f 0x450 0x44b 0x475 0x4a6 0x46b 0x462 0x459 0x44f 0x452 0x45e 0x477 0x45a 0x434 0x437 0x42c 0x434 0x449 0x442 0x475 0x452 0x41c 0x410 0x40c 0x411 0x406 0x414 0x418 0x428 0x421 0x423 0x41c 0x41b 0x425 0x421 0x459 0x475 0x445 0x442 0x461 0x460 0x45e 0x438 0x431 0x430 0x457 0x45b 0x453 0x45a 0x452 0x450 0x43f 0x454 0x42f 0x438 0x44b 0x44c 0x446 0x445 0x446 0x423 0x414 0x41c 0x42c 0x41e 0x40d 0x434 0x450 0x472 0x45d 0x456 0x45b 0x465 0x459 0x450 0x454 0x467 0x444 0x43e 0x43d 0x453 0x446 0x452 0x467 0x44f 0x44b 0x457 0x445 0x465 0x446 0x453 0x454 0x456 0x459 0x446 0x444 0x446 0x459 0x442 0x483 0x477 0x45e 0x46f 0x45d 0x462 0x45e 0x46b 0x46b 0x470 0x45a 0x446 0x448 0x44b 0x459 0x446 0x48a 0x468 0x450 0x45d 0x467 0x454 0x453 0x45e 0x45a 0x48f 0x492 0x49a 0x49d 0x49c 0x496 0x49c 0x481 0x459 0x450 0x460 0x461 0x467 0x47a 0x464 0x46e 0x43e 0x49c 0x498 0x4a3 0x484 0x485 0x479 0x481 0xf00 0xf00 0xf00>;
					PS_Config_Lmt_Open_Rawdata_N = <0x5bb 0x617 0x625 0x645 0x627 0x637 0x630 0x5c5 0x5cf 0x651 0x634 0x63c 0x637 0x62d 0x606 0x5b2 0x5c4 0x615 0x622 0x643 0x627 0x634 0x629 0x5d9 0x5e5 0x652 0x636 0x63a 0x637 0x62a 0x602 0x5c2 0x604 0x625 0x632 0x659 0x63e 0x649 0x63e 0x63d 0x63f 0x657 0x63d 0x643 0x644 0x62b 0x60b 0x5f2 0x607 0x626 0x631 0x65b 0x63d 0x647 0x63a 0x630 0x624 0x63a 0x61f 0x625 0x622 0x60d 0x5ea 0x5ce 0x604 0x624 0x62a 0x655 0x63f 0x649 0x638 0x63d 0x63a 0x653 0x634 0x63d 0x633 0x61c 0x5f9 0x5ea 0x612 0x631 0x639 0x666 0x652 0x65f 0x64b 0x651 0x648 0x661 0x640 0x64c 0x642 0x62a 0x609 0x5fa 0x61d 0x639 0x647 0x670 0x65e 0x66d 0x655 0x65d 0x64e 0x666 0x648 0x650 0x63f 0x62c 0x605 0x5fa 0x60f 0x62a 0x63a 0x660 0x657 0x666 0x645 0x654 0x661 0x675 0x65a 0x663 0x64b 0x639 0x60c 0x608 0x60b 0x626 0x635 0x65c 0x658 0x666 0x654 0x657 0x675 0x684 0x66a 0x673 0x654 0x643 0x622 0x610 0x637 0x64f 0x65c 0x685 0x682 0x68e 0x67c 0x67b 0x685 0x693 0x676 0x683 0x65d 0x64f 0x630 0x61e 0x625 0x642 0x64f 0x67b 0x67c 0x680 0x675 0x67c 0x684 0x697 0x678 0x688 0x658 0x643 0x62a 0x61a 0x628 0x648 0x64f 0x67c 0x681 0x693 0x67e 0x680 0x68c 0x69d 0x681 0x694 0x663 0x65b 0x637 0x625 0x634 0x64f 0x65a 0x682 0x68d 0x6a2 0x688 0x688 0x69d 0x6ac 0x695 0x6a0 0x66f 0x66b 0x645 0x630 0x636 0x655 0x660 0x685 0x696 0x6ac 0x692 0x68d 0x68a 0x699 0x67f 0x68e 0x653 0x651 0x62e 0x61a 0x636 0x654 0x65d 0x683 0x68b 0x6ae 0x699 0x68f 0x6a3 0x6ac 0x690 0x6a0 0x660 0x65d 0x63a 0x621 0x64c 0x66d 0x674 0x696 0x6af 0x6c6 0x6b5 0x6ae 0x6a7 0x6ae 0x692 0x6a3 0x669 0x65e 0x63c 0x624 0x63f 0x661 0x65e 0x685 0x6a2 0x6c0 0x6ae 0x6a4 0x6bb 0x6c4 0x6a4 0x6b5 0x678 0x66c 0x642 0x630 0x642 0x665 0x65e 0x67f 0x6a2 0x6be 0x6b2 0x6a9 0x6a8 0x6b4 0x695 0x6a0 0x669 0x65e 0x630 0x61b 0x62a 0x629 0x617 0x619 0x602 0x612 0x610 0x625 0x5e5 0x60e 0x5fb 0x5fa 0x603 0x626 0x62a 0x64e 0x628 0x62a 0x615 0x61b 0x603 0x60e 0x60e 0x623 0x5e4 0x60b 0x5fc 0x601 0x601 0x622 0x624 0x646 0x62c 0x633 0x61b 0x61f 0x609 0x613 0x612 0x624 0x5fa 0x61b 0x612 0x61b 0x619 0x63a 0x639 0x651 0x61d 0x627 0x608 0x613 0x5fa 0x608 0x609 0x617 0x5f1 0x616 0x607 0x61a 0x61a 0x639 0x634 0x64d 0x636 0x645 0x62a 0x62d 0x61b 0x622 0x622 0x631 0x60c 0x62a 0x622 0x636 0x630 0x64b 0x645 0x657 0x639 0x64a 0x631 0x638 0x621 0x62b 0x627 0x636 0x5ff 0x61b 0x616 0x628 0x624 0x63f 0x636 0x64b 0x62d 0x644 0x62c 0x62e 0x61c 0x627 0x61f 0x62e 0x600 0x61c 0x617 0x628 0x625 0x643 0x63c 0x64c 0x622 0x637 0x623 0x626 0x611 0x620 0x61b 0x628 0x611 0x61f 0x621 0x634 0x631 0x64d 0x642 0x64d 0x62b 0x64a 0x631 0x633 0x621 0x62a 0x628 0x636 0x60e 0x627 0x625 0x636 0x634 0x64e 0x649 0x64a 0x618 0x639 0x621 0x623 0x610 0x61b 0x618 0x622 0x5fc 0x613 0x60d 0x61f 0x61a 0x636 0x62e 0x630 0x61e 0x649 0x62e 0x638 0x61d 0x62c 0x62a 0x634 0x5fe 0x61e 0x614 0x626 0x622 0x63b 0x631 0x62a 0x626 0x64b 0x631 0x63d 0x621 0x62e 0x62e 0x634 0x606 0x621 0x615 0x628 0x626 0x643 0x637 0x631 0x617 0x640 0x62b 0x634 0x618 0x629 0x625 0x62a 0x607 0x623 0x61b 0x627 0x622 0x640 0x62e 0x625 0x5ae 0x643 0x5bc 0x63c 0x5af 0x636 0x5bb 0x633 0x58e 0x619 0x59a 0x61d 0x5a4 0x636 0x5ac 0x61b 0x5aa 0x5c6 0x5be 0x5c7 0x5b1 0x5c3 0x5be 0x5c4 0x59d 0x5b6 0x5aa 0x5b8 0x5b3 0x5cb 0x5b8 0x5b2 0x5c1 0x5de 0x5d8 0x5e3 0x5cb 0x5dc 0x5d6 0x5de 0x5c7 0x5e0 0x5d2 0x5e0 0x5da 0x5f2 0x5dc 0x5d4 0x560 0x5e0 0x5da 0x5e7 0x5ce 0x5e0 0x5da 0x5e2 0x5bc 0x5da 0x5c7 0x5db 0x5d2 0x5eb 0x5d3 0x56b 0x536 0x5d6 0x5d1 0x5e7 0x5c7 0x5d6 0x5cf 0x5da 0x5bc 0x5da 0x5c6 0x5d8 0x5d9 0x5ea 0x5ce 0x54c 0xfffffe01 0xfffffe01 0xfffffe01>;
					PS_Config_Lmt_Open_Rawdata_P = <0xd60 0xe36 0xe56 0xea1 0xe5b 0xe80 0xe70 0xd76 0xd8e 0xebe 0xe7b 0xe8d 0xe82 0xe6a 0xe0e 0xd4b 0xd74 0xe31 0xe51 0xe9c 0xe5c 0xe7b 0xe60 0xda6 0xdc2 0xec1 0xe7f 0xe89 0xe80 0xe62 0xe05 0xd6f 0xe0b 0xe56 0xe75 0xed0 0xe91 0xeaa 0xe91 0xe90 0xe94 0xecb 0xe90 0xe9c 0xe9f 0xe66 0xe1a 0xde1 0xe10 0xe59 0xe72 0xed4 0xe90 0xea6 0xe89 0xe70 0xe54 0xe89 0xe4a 0xe58 0xe4f 0xe1e 0xdcd 0xd8d 0xe09 0xe54 0xe62 0xec6 0xe94 0xeaa 0xe83 0xe8e 0xe89 0xec2 0xe7b 0xe8e 0xe77 0xe41 0xdf0 0xdcd 0xe2b 0xe74 0xe85 0xeef 0xec1 0xede 0xeaf 0xebe 0xea8 0xee2 0xe97 0xeb3 0xe9a 0xe63 0xe15 0xdf3 0xe44 0xe85 0xea6 0xf07 0xedd 0xefe 0xec8 0xed9 0xeb6 0xeee 0xea8 0xebb 0xe93 0xe67 0xe0c 0xdf2 0xe23 0xe63 0xe89 0xee1 0xecb 0xeef 0xea2 0xec4 0xee2 0xf11 0xed3 0xee7 0xeb0 0xe86 0xe1c 0xe13 0xe1a 0xe59 0xe7c 0xed7 0xecf 0xeee 0xec5 0xecc 0xf12 0xf34 0xef7 0xf0e 0xec4 0xe9c 0xe4f 0xe25 0xe80 0xeba 0xed7 0xf36 0xf31 0xf4d 0xf21 0xf20 0xf36 0xf58 0xf15 0xf32 0xeda 0xeba 0xe70 0xe47 0xe56 0xe9b 0xeb8 0xf20 0xf21 0xf2b 0xf11 0xf21 0xf35 0xf60 0xf19 0xf3d 0xecf 0xe9e 0xe62 0xe3d 0xe5f 0xea8 0xeba 0xf23 0xf2e 0xf58 0xf26 0xf2b 0xf47 0xf6e 0xf2d 0xf59 0xee7 0xed4 0xe82 0xe58 0xe79 0xeba 0xed3 0xf2f 0xf4a 0xf7b 0xf3f 0xf3d 0xf6e 0xf93 0xf5c 0xf77 0xf04 0xefa 0xea1 0xe71 0xe7e 0xec8 0xee1 0xf38 0xf5f 0xf93 0xf55 0xf4a 0xf42 0xf66 0xf28 0xf4d 0xec2 0xebe 0xe6d 0xe3d 0xe7e 0xec5 0xeda 0xf32 0xf46 0xf97 0xf65 0xf4e 0xf7c 0xf93 0xf50 0xf77 0xee0 0xed9 0xe89 0xe4e 0xeb3 0xf00 0xf0f 0xf5e 0xf98 0xfce 0xfa8 0xf96 0xf86 0xf96 0xf55 0xf7c 0xef6 0xedd 0xe8d 0xe54 0xe94 0xee2 0xedb 0xf38 0xf7a 0xfc0 0xf97 0xf7f 0xfb4 0xfc9 0xf7f 0xfa8 0xf18 0xefd 0xe9b 0xe70 0xe9a 0xeec 0xedb 0xf28 0xf7a 0xfbb 0xf9f 0xf8a 0xf89 0xfa5 0xf5c 0xf75 0xef6 0xedd 0xe70 0xe40 0xe62 0xe60 0xe36 0xe3c 0xe05 0xe2a 0xe27 0xe56 0xdc2 0xe21 0xdf4 0xdf3 0xe07 0xe59 0xe62 0xeb7 0xe5f 0xe62 0xe31 0xe3f 0xe07 0xe21 0xe21 0xe52 0xdbf 0xe1a 0xdf7 0xe04 0xe04 0xe51 0xe54 0xea3 0xe67 0xe78 0xe40 0xe4a 0xe16 0xe2e 0xe2b 0xe55 0xdf3 0xe3f 0xe2a 0xe3f 0xe3a 0xe89 0xe86 0xebd 0xe44 0xe5c 0xe13 0xe2c 0xdf3 0xe13 0xe15 0xe36 0xdde 0xe35 0xe12 0xe3d 0xe3d 0xe86 0xe7b 0xeb4 0xe7e 0xea2 0xe63 0xe6a 0xe40 0xe51 0xe51 0xe72 0xe1d 0xe62 0xe4f 0xe7e 0xe70 0xeaf 0xea1 0xecc 0xe86 0xead 0xe72 0xe83 0xe4e 0xe66 0xe5c 0xe7e 0xdfe 0xe40 0xe35 0xe5f 0xe55 0xe93 0xe7f 0xeaf 0xe69 0xe9f 0xe67 0xe6d 0xe41 0xe5b 0xe4a 0xe6d 0xe00 0xe43 0xe36 0xe5d 0xe58 0xe9c 0xe8c 0xeb3 0xe51 0xe82 0xe52 0xe59 0xe28 0xe4b 0xe40 0xe5f 0xe28 0xe4a 0xe4e 0xe79 0xe72 0xeb4 0xe9a 0xeb4 0xe64 0xead 0xe74 0xe78 0xe4d 0xe63 0xe5f 0xe7f 0xe21 0xe5b 0xe56 0xe7e 0xe7b 0xeb7 0xeaa 0xead 0xe39 0xe85 0xe4e 0xe52 0xe25 0xe3f 0xe38 0xe51 0xdf7 0xe2e 0xe20 0xe48 0xe3d 0xe7e 0xe6d 0xe71 0xe46 0xeac 0xe6d 0xe83 0xe44 0xe67 0xe62 0xe7b 0xdfb 0xe46 0xe2f 0xe59 0xe4f 0xe8a 0xe72 0xe63 0xe59 0xeaf 0xe74 0xe8e 0xe4e 0xe6d 0xe6b 0xe7b 0xe0e 0xe4e 0xe32 0xe5f 0xe59 0xe9c 0xe80 0xe74 0xe36 0xe97 0xe66 0xe79 0xe39 0xe60 0xe58 0xe63 0xe10 0xe52 0xe3f 0xe5c 0xe4f 0xe97 0xe6d 0xe56 0xd41 0xe9e 0xd63 0xe8c 0xd44 0xe7e 0xd5f 0xe78 0xcf7 0xe3a 0xd13 0xe44 0xd2b 0xe7f 0xd3d 0xe40 0xd39 0xd79 0xd66 0xd7c 0xd48 0xd72 0xd66 0xd74 0xd1a 0xd53 0xd39 0xd58 0xd4c 0xd84 0xd59 0xd4a 0xd6e 0xdb1 0xda3 0xdbc 0xd86 0xdad 0xd9e 0xdb1 0xd7c 0xdb5 0xd95 0xdb7 0xda9 0xddf 0xdac 0xd9b 0xc8b 0xdb5 0xda9 0xdc6 0xd8d 0xdb7 0xda7 0xdba 0xd63 0xda9 0xd7b 0xdaa 0xd95 0xdd0 0xd97 0xca4 0xc29 0xd9e 0xd92 0xdc6 0xd7c 0xd9e 0xd8e 0xda9 0xd63 0xda9 0xd79 0xda3 0xda6 0xdcd 0xd8d 0xc5d 0x1400 0x1400 0x1400>;
					PS_Config_Lmt_Short_Rawdata_N = <0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2710 0x2710 0x2710>;
					PS_Config_Lmt_Short_Rawdata_P = <0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8>;
					X_Channel = <0x10>;
					Y_Channel = <0x24>;
					compatible = "novatek-mp-criteria-6283";
				};
			};
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {

			mediatek,speaker-codec {
				sound-dai = <0x2a>;
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {

			fs16xx@34 {
				#sound-dai-cells = <0x0>;
				compatible = "foursemi,fs16xx";
				fsm,re25-dft = <0x1e00>;
				phandle = <0x2a>;
				reg = <0x34>;
				status = "okay";
			};
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {

			speaker_amp@5c {
				phandle = <0x5c>;
				status = "disable";
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {

			meta_high {
				phandle = <0x30>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xb500>;
					slew-rate = <0x1>;
				};
			};

			meta_init {
				phandle = <0x2e>;

				pins_cmd_dat {
					pinmux = <0xb500>;
					slew-rate = <0x1>;
				};
			};

			meta_low {
				phandle = <0x2f>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xb500>;
					slew-rate = <0x1>;
				};
			};

			otg_high {
				phandle = <0x2d>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xb400>;
					slew-rate = <0x1>;
				};
			};

			otg_init {
				phandle = <0x2b>;

				pins_cmd_dat {
					pinmux = <0xb400>;
					slew-rate = <0x1>;
				};
			};

			otg_low {
				phandle = <0x2c>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xb400>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";

			nfc_nxp@28 {
				compatible = "nxp,pn544";
				nxp,pn544-fw-dwnld = <0xffffffff 0x7 0x0>;
				nxp,pn544-irq = <0xffffffff 0xb 0x0>;
				nxp,pn544-ven = <0xffffffff 0xa 0x0>;
				reg = <0x28>;
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,eye-rev6 = <0x1>;
			mediatek,eye-term = <0x6>;
			mediatek,eye-vrt = <0x6>;
			mediatek,host-eye-rev6 = <0x2>;
			mediatek,host-eye-term = <0x6>;
			mediatek,host-eye-vrt = <0x6>;
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {

			pca_pps_ta {
				compatible = "richtek,pca_pps_ta";
				status = "okay";
			};

			pca_rfc_ta {
				adapter_name = "rfc_adapter";
				compatible = "richtek,pca_rfc_ta";
				ita_gap_cv_mode = <0xc8>;
				ita_gap_per_vstep = <0x14>;
				ita_step = <0x1e>;
				pwr_lmt;
				status = "okay";
				support_meas_cap;
				support_status;
				vta_step = <0x14>;
			};

			pd_adapter {
				adapter_name = "pd_adapter";
				compatible = "mediatek,pd_adapter";
				phandle = <0x5f>;
			};

			tran_battery {
				compatible = "tran,chg_fun";
				enable_pcb_tml;
				jeita_above_t4_chg_cur = <0x0>;
				jeita_above_t4_input_cur = <0xf4240>;
				jeita_below_t0_chg_cur = <0x0>;
				jeita_below_t0_input_cur = <0x16e360>;
				jeita_t0_to_t1_chg_cur = <0xf4240>;
				jeita_t0_to_t1_input_cur = <0x16e360>;
				jeita_t2_to_t3_chg_cur = <0x1e8480>;
				jeita_t2_to_t3_input_cur = <0x200b20>;
				jeita_t3_to_t4_chg_cur = <0x1e8480>;
				jeita_t3_to_t4_input_cur = <0x200b20>;
				pcb_cur_step_one = <0x1f4>;
				pcb_cur_step_two = <0x1f4>;
				pcb_min_chg_cur = <0xf4240>;
				pcb_temp_step_one = <0xa410>;
				pcb_temp_step_two = <0xabe0>;
				phandle = <0x5d>;
				pinctrl-0 = <0x2b>;
				pinctrl-1 = <0x2c>;
				pinctrl-2 = <0x2d>;
				pinctrl-3 = <0x2e>;
				pinctrl-4 = <0x2f>;
				pinctrl-5 = <0x30>;
				pinctrl-names = "otg_gpio_init", "otg_gpio_low", "otg_gpio_high", "meta_gpio_init", "meta_gpio_low", "meta_gpio_high";
			};

			tran_battery_aging {
				battery_aging_module0 = <0x0>;
				battery_aging_module1 = <0x0>;
				battery_aging_module2 = <0x0>;
				battery_aging_module3 = <0x0>;
				compatible = "tran,chg_aging";
				phandle = <0x5e>;
			};

			usb_switch {
				compatible = "tran,usb_switch";
				phandle = <0x60>;
				status = "okay";
				switch_built_in_ic;
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x186a0>;

			rfc_ta@1b {
				compatible = "richtek,rfc_ta";
				reg = <0x1b>;
				status = "okay";
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x2191c0>;
			ac_charger_input_current = <0x1e8480>;
			algorithm_name = "SwitchCharging";
			apple_1_0a_charger_current = <0x9eb10>;
			apple_2_1a_charger_current = <0xc3500>;
			battery_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			bif_cv_under_threshold2 = <0x43e6d0>;
			bif_threshold1 = <0x40d990>;
			bif_threshold2 = <0x419ce0>;
			cable_imp_threshold = <0x2bb>;
			charging_host_charger_current = <0x16e360>;
			chg1_ta_ac_charger_current = <0x16e360>;
			chg2_ta_ac_charger_current = <0x16e360>;
			comp_ir = <0xc350>;
			comp_iv = <0x1f400>;
			compatible = "mediatek,charger";
			disable_pd_dual;
			dual_polling_ieoc = <0x6ddd0>;
			dv2_chg_cv = <0x445c00 0x445c00 0x445c00 0x445c00>;
			dv2_chg_eoc = <0x9eb10>;
			enable_hvdcp20;
			enable_ir_comp;
			enable_min_charge_temp;
			enable_pe_2;
			enable_pe_5;
			enable_pe_plus;
			enable_sw_jeita;
			enable_tc30;
			enable_type_c;
			high_temp_to_enter_pe40 = <0x27>;
			high_temp_to_leave_pe40 = <0x2e>;
			ibus_err = <0xe>;
			jeita_temp_above_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			jeita_temp_below_t0_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t0_to_t1_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t1_to_t2_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t2_to_t3_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t3_to_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			low_temp_to_enter_pe40 = <0x10>;
			low_temp_to_leave_pe40 = <0xa>;
			max_charge_temp = <0x35>;
			max_charge_temp_minus_x_degree = <0x34>;
			max_charger_voltage = <0x632ea0>;
			max_charging_time = <0x11940>;
			max_dmivr_charger_current = <0x155cc0>;
			min_charge_temp = <0x0>;
			min_charge_temp_plus_x_degree = <0x1>;
			min_charger_voltage = <0x4630c0>;
			min_charger_voltage_1 = <0x432380>;
			min_charger_voltage_2 = <0x401640>;
			multi_battery_cv;
			non_std_ac_charger_current = <0x124f80>;
			pd_ichg_level_threshold = <0xf4240>;
			pd_stop_battery_soc = <0x55>;
			pd_vbus_low_bound = <0x4c4b40>;
			pd_vbus_upper_bound = <0x895440>;
			pe20_ichg_level_threshold = <0xf4240>;
			pe40_dual_charger_chg1_current = <0x1e8480>;
			pe40_dual_charger_chg2_current = <0x1e8480>;
			pe40_dual_charger_input_current = <0x2dc6c0>;
			pe40_r_cable_1a_lower = <0x206>;
			pe40_r_cable_2a_lower = <0x17f>;
			pe40_r_cable_3a_lower = <0xf5>;
			pe40_single_charger_current = <0x2dc6c0>;
			pe40_single_charger_input_current = <0x2dc6c0>;
			pe40_stop_battery_soc = <0x50>;
			pe_ichg_level_threshold = <0xf4240>;
			power_path_support;
			r_bat_comp = <0x1e>;
			slave_mivr_diff = <0x186a0>;
			ta_9v_support;
			ta_ac_12v_input_current = <0x30d400>;
			ta_ac_7v_input_current = <0x249f00>;
			ta_ac_9v_input_current = <0x200b20>;
			ta_ac_charger_current = <0x2dc6c0>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			temp_neg_10_thres = <0x2>;
			temp_t0_thres = <0x1>;
			temp_t0_thres_plus_x_degree = <0x1>;
			temp_t1_thres = <0x1>;
			temp_t1_thres_plus_x_degree = <0x1>;
			temp_t2_thres = <0xf>;
			temp_t2_thres_plus_x_degree = <0x10>;
			temp_t3_thres = <0x2d>;
			temp_t3_thres_minus_x_degree = <0x2c>;
			temp_t4_thres = <0x37>;
			temp_t4_thres_minus_x_degree = <0x33>;
			usb_charger_current = <0x7a120>;
			usb_charger_current_configured = <0x7a120>;
			usb_charger_current_suspend = <0x0>;
			usb_charger_current_unconfigured = <0x11170>;
			v_comp_max = <0x9c40>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vsys_watt = <0x4c4b40>;
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x16e360>;
			ac_charger_input_current = <0x16e360>;
			charging_host_charger_current = <0x16e360>;
			compatible = "mediatek,lk_charger";
			cur_threshold = <0x7a120>;
			enable_anime;
			enable_pd20_reset;
			enable_pe_plus;
			fast_charge_voltage = <0x2625a0>;
			max_charger_voltage = <0x632ea0>;
			non_std_ac_charger_current = <0x7a120>;
			pd_charger_current = <0x7a120>;
			power_path_support;
			ta_ac_charger_current = <0x2dc6c0>;
			temp_t1_threshold = <0x0>;
			temp_t2_threshold = <0xf>;
			temp_t3_threshold = <0x2d>;
			temp_t4_threshold = <0x32>;
			usb_charger_current = <0x7a120>;
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;

			hl7138_master@55 {
				compatible = "richtek,hl7139";
				hl7138,intr-gpios = <0xffffffff 0x6 0x0>;
				reg = <0x55>;
				rm_name = "hl7139";
				rm_slave_addr = [55];
				status = "okay";

				master {
					chg_name = "primary_divider_chg";
					cur_i_masked = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x5d1420>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					iin_reg_dis;
					protocol_i_masked = <0x0>;
					reg_i_masked = <0x0>;
					short_i_masked = <0x0>;
					state_chg_i_masked = <0x0>;
					track_ov_dis;
					track_uv_dis;
					ts_temp_i_masked = <0x0>;
					tsbatadc_dis;
					tsbatotp_dis;
					tsbusadc_dis;
					tsbusotp_dis;
					v_ok_i_masked = <0x0>;
					vacovp = <0xa7d8c0>;
					vbat_reg_dis;
					vbatovp = <0x44aa20>;
					vbusovp = <0xa7d8c0>;
					wdog_i_masked = <0x0>;
					wdt = <0x1c9c380>;
				};

				standalone {
					chg_name = "primary_divider_chg";
					gpp_conf = <0x0>;
					ibat_reg_dis;
					ibat_rsense = <0x1>;
					ibatocp = <0x6c5660>;
					ibatocp_dis;
					ibusocp = <0x40d990>;
					ibusocp_dis;
					iin_reg_dis;
					protocol_i_masked;
					track_ov_dis;
					track_uv_dis;
					vacovp = <0xa7d8c0>;
					vbat_reg_dis;
					vbatovp = <0x456d70>;
					vbatovp_dis;
					vbusovp = <0xa7d8c0>;
					wdt = <0x1c9c380>;
				};
			};
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {

			mtk_pe50 {
				allow_not_check_ta_status;
				chg_time_max = <0x4650>;
				cv_reduce_step = <0x3>;
				dv2_ab_dev = <0x0 0x0 0x0 0x0 0x0 0x0>;
				dv2_ffc_ibat = <0xbb8 0x8ca 0x8ca 0x8ca 0x8ca>;
				dv2_ffc_ibat_high = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext1 = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext1_lt = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext2 = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_ext2_lt = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_high_lt = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_low = <0xbb8 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_low_lt = <0xbb8 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_mid = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_ibat_mid_lt = <0x8ca 0x9c4 0x9c4 0x9c4>;
				dv2_ffc_vbat = <0x1004 0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high_ext1 = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high_ext1_lt = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high_ext2 = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high_ext2_lt = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_high_lt = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_low = <0x1004 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_low_lt = <0x1004 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_mid = <0x1180 0x1180 0x1180 0x1180>;
				dv2_ffc_vbat_mid_lt = <0x1180 0x1180 0x1180 0x1180>;
				force_ta_cv_vbat = <0x1130>;
				game_limit_ita = <0x5dc>;
				ibat_max = <0x1b58>;
				idvchg_pps_term = <0x4b0>;
				idvchg_ss_init = <0x4b0>;
				idvchg_ss_step = <0xfa>;
				idvchg_ss_step1 = <0x64>;
				idvchg_ss_step1_vbat = <0xfa0>;
				idvchg_ss_step2 = <0x32>;
				idvchg_ss_step2_vbat = <0x1068>;
				idvchg_ss_vta_step1 = <0xc8>;
				idvchg_ss_vta_step2 = <0xc8>;
				idvchg_step = <0x32>;
				idvchg_term = <0x203>;
				ifod_threshold = <0xc8>;
				ircmp_rbat = <0x5>;
				ircmp_vclamp = <0xa>;
				ita_cap_min = <0x3e8>;
				ita_level = <0xbb8 0x8ca 0x7d0 0x5dc>;
				ita_level_dual = <0xfa0 0xe74 0xd48 0xbb8>;
				polling_interval = <0x2710>;
				rcable_level = <0x12c 0x15e 0x1c2 0x258>;
				rcable_level_dual = <0xbc 0xcb 0xdd 0xfa>;
				rechg_ab_h = <0x29 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
				rechg_ab_l = <0xf 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
				rsw_min = <0x14>;
				start_soc_max = <0x5a>;
				start_soc_min = <0x0>;
				start_vbat_max = <0x1144>;
				support_ta = "pca_ta_pps", "pca_ta_rfc";
				swchg_aicr = <0x0>;
				swchg_aicr_ss_init = <0x190>;
				swchg_aicr_ss_step = <0xc8>;
				swchg_ichg = <0x4b0>;
				swchg_off_vbat = <0x109a>;
				ta_blanking = <0x190>;
				ta_cv_ss_repeat_tmin = <0x19>;
				tbat_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x3e8 0x0 0xfa 0x2ee 0x4e2 0xffffffff>;
				tbat_level_def = <0x14 0x14 0x14 0x14 0x19 0x29 0x2a 0x2b 0x2d>;
				tbat_recovery_area = <0x3>;
				tdvchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0x12c 0x0 0x12c 0x258 0x384 0xffffffff>;
				tdvchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x46 0x4b 0x50 0x55>;
				tdvchg_recovery_area = <0x3>;
				tpcb_curlmt = <0x0 0x0 0x0 0x0 0x0 0x1f4 0x3e8 0x5dc 0xffffffff>;
				tpcb_level_def = <0x0 0x0 0x0 0x0 0x19 0x29 0x2a 0x2b 0x5a>;
				tswchg_curlmt = <0xffffffff 0xffffffff 0xffffffff 0xc8 0x0 0xc8 0x12c 0x190 0xffffffff>;
				tswchg_level_def = <0x0 0x0 0x0 0x5 0x19 0x41 0x46 0x4b 0x50>;
				tswchg_recovery_area = <0x3>;
				tta_curlmt = <0x0 0x0 0x0 0x0 0x0 0x12c 0x258 0x384 0xffffffff>;
				tta_level_def = <0x0 0x0 0x0 0x0 0x19 0x46 0x50 0x5a 0x5f>;
				tta_recovery_area = <0x3>;
				tusb_curlmt = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0xffffffff>;
				tusb_level_def = <0x0 0x0 0x0 0x0 0x19 0x41 0x46 0x50 0x5a>;
				vbat_cv = <0x1180>;
				vbus_max_ovp = <0x2af8>;
				vta_cap_max = <0x2904>;
				vta_cap_min = <0x1a90>;
			};
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,adc_fdd_rf_params_dynamic_custom_ch = <0x5>;
				mediatek,temperature0 = <0x0>;
				mediatek,temperature1 = <0x1>;
				status = "okay";
			};
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			io-channels = <0xffffffff 0x5>;
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-config = <0x2 0x1 0x1 0x2 0x0 0x0 0x1>;
			mediatek,clkbuf-controls-for-desense = <0x0 0x4 0x0 0x4 0x0 0x0 0x0>;
			mediatek,clkbuf-output-impedance = <0x3 0x4 0x3 0x4 0x0 0x0 0x3>;
			mediatek,clkbuf-quantity = <0x7>;
			status = "okay";
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			irtx_gpio_led_def@gpio139 {
				phandle = <0x1>;

				pins_cmd_dat {
					bias-disable;
					input-schmitt-enable = <0x0>;
					output-low;
					pinmux = <0x8b00>;
					slew-rate = <0x1>;
				};
			};

			irtx_gpio_led_set@gpio139 {
				phandle = <0x2>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8b02>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main@10 {
				compatible = "mediatek,camera_main";
				phandle = <0x61>;
				reg = <0x10>;
				status = "okay";
			};

			camera_main_af@0c {
				compatible = "mediatek,camera_main_af";
				phandle = <0x62>;
				reg = <0xc>;
				status = "okay";
			};
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			nfc@28 {
				compatible = "mediatek,nfc";
				phandle = <0x63>;
				reg = <0x28>;
				status = "okay";
			};
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub_two@10 {
				compatible = "mediatek,camera_sub_two";
				phandle = <0x64>;
				reg = <0x10>;
				status = "okay";
			};
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x33e140>;
			mediatek,use-push-pull;

			subpmic@34 {
				compatible = "mediatek,subpmic";
				phandle = <0x65>;
				reg = <0x34>;
				status = "okay";
			};

			subpmic_ldo@64 {
				compatible = "mediatek,subpmic_ldo";
				phandle = <0x68>;
				reg = <0x64>;
				status = "okay";
			};

			subpmic_pmic@1a {
				compatible = "mediatek,subpmic_pmic";
				phandle = <0x67>;
				reg = <0x1a>;
				status = "okay";
			};

			usb_type_c@4e {
				compatible = "mediatek,usb_type_c";
				phandle = <0x66>;
				reg = <0x4e>;
				status = "okay";
			};
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			i2c_lcd_bias@3e {
				compatible = "mediatek,i2c_lcd_bias";
				phandle = <0x69>;
				reg = <0x3e>;
				status = "okay";
			};

			strobe_main@63 {
				compatible = "mediatek,strobe_main";
				phandle = <0x6a>;
				reg = <0x63>;
				status = "okay";
			};
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_two@10 {
				compatible = "mediatek,camera_main_two";
				phandle = <0x6b>;
				reg = <0x10>;
				status = "okay";
			};
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub@20 {
				compatible = "mediatek,camera_sub";
				phandle = <0x6c>;
				reg = <0x20>;
				status = "okay";
			};
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {
			mt6360,intr_gpio = <0xffffffff 0x4 0x0>;
			mt6360,intr_gpio_num = <0x4>;
			mt6360,tc30_dm_gpio = <0xffffffff 0x8a 0x0>;
			mt6360,tc30_dp_gpio = <0xffffffff 0x6e 0x0>;
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x186a0>;
			mediatek,use-open-drain;
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_RF_PWREN_RST_PIN = <0xffffffff 0x4b 0x0>;
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0xb0 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0xae 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0xaf 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0xad 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0xab 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0xaa 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0xac 0x0>;
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x0 0x1 0x0 0x1 0x2 0x0 0x0 0x0 0x1 0x1 0x1 0x3 0x0 0x0 0x0 0x1 0x1 0x1 0x4 0x0 0x0 0x0 0x1 0x1 0x1 0x5 0x0 0x0 0x0 0x1 0x1 0x1 0x6 0x0 0x0 0x0 0x1 0x1 0x0 0x7 0x0 0x1 0x0 0x1 0x0 0x0 0x8 0x0 0x0 0x0 0x1 0x1 0x0 0x9 0x0 0x0 0x0 0x1 0x1 0x0 0xa 0x0 0x1 0x0 0x1 0x0 0x0 0xb 0x0 0x0 0x0 0x1 0x0 0x0 0xc 0x2 0x0 0x0 0x0 0x0 0x0 0xd 0x2 0x0 0x0 0x1 0x0 0x0 0xe 0x0 0x0 0x0 0x1 0x1 0x1 0xf 0x0 0x1 0x0 0x1 0x0 0x1 0x10 0x7 0x0 0x0 0x1 0x1 0x0 0x11 0x7 0x0 0x0 0x1 0x1 0x0 0x12 0x7 0x0 0x0 0x1 0x1 0x0 0x13 0x7 0x0 0x0 0x1 0x1 0x0 0x14 0x7 0x0 0x0 0x0 0x0 0x0 0x15 0x0 0x1 0x0 0x1 0x0 0x0 0x16 0x0 0x0 0x0 0x1 0x0 0x0 0x17 0x7 0x0 0x0 0x1 0x1 0x0 0x18 0x1 0x0 0x0 0x0 0x0 0x0 0x19 0x1 0x0 0x0 0x0 0x0 0x0 0x1a 0x1 0x0 0x0 0x1 0x1 0x0 0x1b 0x1 0x0 0x0 0x0 0x0 0x0 0x1c 0x1 0x0 0x0 0x1 0x1 0x0 0x1d 0x1 0x0 0x0 0x1 0x1 0x0 0x1e 0x1 0x0 0x0 0x1 0x1 0x0 0x1f 0x1 0x0 0x0 0x1 0x1 0x0 0x20 0x1 0x0 0x0 0x1 0x1 0x0 0x21 0x1 0x0 0x0 0x1 0x1 0x0 0x22 0x1 0x0 0x0 0x1 0x1 0x0 0x23 0x1 0x0 0x0 0x1 0x1 0x0 0x24 0x1 0x0 0x0 0x1 0x1 0x1 0x25 0x1 0x0 0x0 0x1 0x1 0x1 0x26 0x1 0x0 0x0 0x1 0x1 0x1 0x27 0x1 0x0 0x0 0x1 0x0 0x1 0x28 0x0 0x1 0x0 0x1 0x0 0x1 0x29 0x1 0x0 0x0 0x0 0x0 0x1 0x2a 0x1 0x0 0x0 0x0 0x0 0x1 0x2b 0x1 0x0 0x0 0x1 0x0 0x1 0x2c 0x1 0x0 0x0 0x1 0x0 0x1 0x2d 0x1 0x0 0x0 0x1 0x1 0x1 0x2e 0x1 0x0 0x0 0x0 0x0 0x0 0x2f 0x1 0x0 0x0 0x0 0x0 0x0 0x30 0x1 0x0 0x0 0x0 0x0 0x0 0x31 0x1 0x0 0x0 0x0 0x0 0x0 0x32 0x1 0x0 0x0 0x1 0x0 0x0 0x33 0x1 0x0 0x0 0x1 0x0 0x0 0x34 0x1 0x0 0x0 0x1 0x0 0x0 0x35 0x1 0x0 0x0 0x1 0x0 0x0 0x36 0x1 0x0 0x0 0x1 0x0 0x1 0x37 0x1 0x0 0x0 0x1 0x0 0x0 0x38 0x1 0x0 0x0 0x1 0x0 0x0 0x39 0x1 0x0 0x0 0x1 0x0 0x0 0x3a 0x1 0x0 0x0 0x1 0x0 0x0 0x3b 0x1 0x0 0x0 0x1 0x0 0x0 0x3c 0x1 0x0 0x0 0x0 0x0 0x1 0x3d 0x1 0x0 0x0 0x0 0x0 0x1 0x3e 0x1 0x0 0x0 0x0 0x0 0x1 0x3f 0x1 0x0 0x0 0x0 0x0 0x1 0x40 0x2 0x0 0x0 0x0 0x0 0x0 0x41 0x2 0x0 0x0 0x1 0x0 0x0 0x42 0x1 0x0 0x0 0x1 0x0 0x1 0x43 0x1 0x0 0x0 0x1 0x0 0x1 0x44 0x1 0x0 0x0 0x0 0x0 0x0 0x45 0x1 0x0 0x0 0x1 0x0 0x0 0x46 0x1 0x0 0x0 0x1 0x0 0x1 0x47 0x1 0x0 0x0 0x0 0x0 0x1 0x48 0x1 0x0 0x0 0x0 0x0 0x1 0x49 0x1 0x0 0x0 0x0 0x0 0x1 0x4a 0x1 0x0 0x0 0x0 0x0 0x1 0x4b 0x0 0x1 0x1 0x1 0x0 0x1 0x4c 0x1 0x0 0x0 0x0 0x0 0x1 0x4d 0x1 0x0 0x0 0x0 0x0 0x1 0x4e 0x1 0x0 0x0 0x1 0x0 0x1 0x4f 0x1 0x0 0x0 0x0 0x0 0x1 0x50 0x1 0x0 0x0 0x0 0x0 0x1 0x51 0x1 0x0 0x0 0x0 0x0 0x1 0x52 0x1 0x0 0x0 0x0 0x0 0x0 0x53 0x1 0x0 0x0 0x1 0x0 0x0 0x54 0x1 0x0 0x0 0x0 0x0 0x0 0x55 0x1 0x0 0x0 0x1 0x0 0x0 0x56 0x1 0x0 0x0 0x1 0x0 0x1 0x57 0x1 0x0 0x0 0x0 0x0 0x1 0x58 0x1 0x0 0x0 0x0 0x0 0x1 0x59 0x1 0x0 0x0 0x0 0x0 0x1 0x5a 0x1 0x0 0x0 0x0 0x0 0x1 0x5b 0x1 0x0 0x0 0x0 0x0 0x1 0x5c 0x1 0x0 0x0 0x0 0x0 0x1 0x5d 0x1 0x0 0x0 0x0 0x0 0x1 0x5e 0x1 0x0 0x0 0x0 0x0 0x1 0x5f 0x1 0x0 0x0 0x0 0x0 0x1 0x60 0x1 0x0 0x0 0x0 0x0 0x1 0x61 0x1 0x0 0x0 0x0 0x0 0x1 0x62 0x1 0x0 0x0 0x1 0x0 0x0 0x63 0x1 0x0 0x0 0x1 0x0 0x0 0x64 0x1 0x0 0x0 0x1 0x0 0x0 0x65 0x1 0x0 0x0 0x1 0x0 0x0 0x66 0x1 0x0 0x0 0x1 0x1 0x0 0x67 0x1 0x0 0x0 0x1 0x1 0x0 0x68 0x1 0x0 0x0 0x1 0x1 0x0 0x69 0x1 0x0 0x0 0x1 0x1 0x0 0x6a 0x1 0x0 0x0 0x1 0x1 0x0 0x6b 0x0 0x1 0x0 0x1 0x0 0x1 0x6c 0x0 0x1 0x0 0x1 0x0 0x1 0x6d 0x0 0x1 0x0 0x1 0x0 0x0 0x6e 0x0 0x1 0x0 0x0 0x0 0x0 0x6f 0x0 0x1 0x0 0x1 0x0 0x0 0x70 0x1 0x0 0x0 0x1 0x1 0x0 0x71 0x0 0x0 0x0 0x1 0x1 0x0 0x72 0x1 0x0 0x0 0x1 0x1 0x0 0x73 0x2 0x0 0x0 0x1 0x0 0x1 0x74 0x1 0x0 0x0 0x1 0x1 0x1 0x75 0x0 0x0 0x0 0x1 0x1 0x0 0x76 0x0 0x0 0x0 0x1 0x1 0x0 0x77 0x0 0x0 0x0 0x1 0x1 0x0 0x78 0x1 0x0 0x0 0x1 0x1 0x0 0x79 0x0 0x0 0x0 0x1 0x1 0x0 0x7a 0x7 0x0 0x0 0x1 0x1 0x1 0x7b 0x7 0x0 0x0 0x1 0x1 0x0 0x7c 0x7 0x0 0x0 0x1 0x1 0x0 0x7d 0x7 0x0 0x0 0x1 0x1 0x0 0x7e 0x2 0x0 0x0 0x1 0x0 0x0 0x7f 0x2 0x0 0x0 0x1 0x0 0x0 0x80 0x2 0x0 0x0 0x1 0x1 0x1 0x81 0x2 0x0 0x0 0x1 0x0 0x1 0x82 0x2 0x0 0x0 0x1 0x1 0x1 0x83 0x2 0x0 0x0 0x1 0x1 0x1 0x84 0x1 0x0 0x0 0x1 0x1 0x1 0x85 0x1 0x0 0x0 0x1 0x1 0x1 0x86 0x1 0x0 0x0 0x1 0x1 0x1 0x87 0x1 0x0 0x0 0x1 0x1 0x1 0x88 0x1 0x0 0x0 0x1 0x1 0x1 0x89 0x1 0x0 0x0 0x1 0x1 0x1 0x8a 0x0 0x1 0x0 0x0 0x0 0x0 0x8b 0x0 0x1 0x0 0x1 0x0 0x0 0x8c 0x0 0x1 0x0 0x1 0x0 0x1 0x8d 0x0 0x1 0x0 0x1 0x0 0x1 0x8e 0x0 0x1 0x0 0x1 0x0 0x0 0x8f 0x1 0x0 0x0 0x1 0x1 0x1 0x90 0x1 0x0 0x0 0x1 0x1 0x1 0x91 0x1 0x0 0x0 0x1 0x1 0x1 0x92 0x1 0x0 0x0 0x1 0x1 0x1 0x93 0x1 0x0 0x0 0x1 0x1 0x1 0x94 0x1 0x0 0x0 0x1 0x1 0x1 0x95 0x1 0x1 0x0 0x1 0x0 0x0 0x96 0x1 0x0 0x0 0x1 0x1 0x0 0x97 0x1 0x1 0x0 0x1 0x0 0x0 0x98 0x1 0x1 0x0 0x1 0x0 0x0 0x99 0x1 0x1 0x0 0x1 0x0 0x0 0x9a 0x0 0x0 0x0 0x1 0x1 0x0 0x9b 0x0 0x0 0x0 0x1 0x1 0x0 0x9c 0x3 0x0 0x0 0x1 0x1 0x0 0x9d 0x3 0x0 0x0 0x1 0x1 0x0 0x9e 0x0 0x0 0x0 0x1 0x1 0x0 0x9f 0x0 0x0 0x0 0x1 0x1 0x0 0xa0 0x0 0x0 0x0 0x1 0x1 0x0 0xa1 0x0 0x0 0x0 0x1 0x1 0x0 0xa2 0x0 0x0 0x0 0x1 0x1 0x0 0xa3 0x0 0x0 0x0 0x1 0x1 0x1 0xa4 0x1 0x0 0x0 0x1 0x1 0x0 0xa5 0x1 0x0 0x0 0x0 0x0 0x0 0xa6 0x1 0x0 0x0 0x1 0x1 0x0 0xa7 0x1 0x0 0x0 0x1 0x1 0x0 0xa8 0x1 0x0 0x0 0x1 0x1 0x0 0xa9 0x1 0x0 0x0 0x1 0x1 0x0 0xaa 0x1 0x0 0x0 0x1 0x1 0x1 0xab 0x1 0x0 0x0 0x0 0x0 0x1 0xac 0x1 0x0 0x0 0x0 0x0 0x1 0xad 0x1 0x0 0x0 0x0 0x0 0x1 0xae 0x1 0x0 0x0 0x0 0x0 0x1 0xaf 0x1 0x0 0x0 0x1 0x1 0x1 0xb0 0x1 0x0 0x0 0x1 0x1 0x1 0xb1 0x0 0x0 0x0 0x1 0x0 0x1 0xb2 0x1 0x0 0x0 0x1 0x0 0x0 0xb3 0x1 0x0 0x0 0x1 0x0 0x0 0xb4 0x0 0x1 0x0 0x0 0x0 0x1 0xb5 0x1 0x0 0x0 0x1 0x1 0x1 0xb6 0x1 0x0 0x0 0x1 0x1 0x0 0xb7 0x1 0x0 0x0 0x1 0x1 0x0 0xb8 0x1 0x0 0x0 0x1 0x1 0x0 0xb9 0x1 0x0 0x0 0x1 0x1 0x0 0xba 0x1 0x0 0x0 0x1 0x1 0x1 0xbb 0x1 0x0 0x0 0x1 0x1 0x1 0xbc 0x0 0x1 0x0 0x1 0x0 0x0 0xbd 0x0 0x1 0x0 0x1 0x0 0x0 0xbe 0x1 0x0 0x0 0x1 0x1 0x0 0xbf 0x1 0x0 0x0 0x1 0x1 0x0 0xc0 0x1 0x0 0x0 0x1 0x1 0x0 0xc1 0x0 0x0 0x0 0x1 0x1 0x0 0xc2 0x0 0x0 0x0 0x1 0x1 0x0 0xc3 0x0 0x0 0x0 0x1 0x1 0x0 0xc4 0x0 0x0 0x0 0x1 0x0 0x0 0xc5 0x0 0x0 0x0 0x1 0x0 0x0 0xc6 0x0 0x0 0x0 0x1 0x0 0x0 0xc7 0x0 0x0 0x0 0x1 0x0 0x0 0xc8 0x0 0x0 0x0 0x1 0x0 0x0 0xc9 0x0 0x0 0x0 0x1 0x0 0x0 0xca 0x0 0x0 0x0 0x1 0x0 0x0 0xcb 0x0 0x0 0x0 0x1 0x0 0x0 0xcc 0x0 0x0 0x0 0x1 0x0 0x0 0xcd 0x0 0x0 0x0 0x1 0x0 0x0 0xce 0x0 0x0 0x0 0x1 0x0 0x0 0xcf 0x0 0x0 0x0 0x1 0x0 0x0 0xd0 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x8>;
			status = "okay";
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x3 0x0>;
			debounce = <0x186a0>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x3 0x4>;
			status = "okay";
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x4 0x2>;
			status = "okay";
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xe 0x2>;
			status = "okay";
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x25 0x1>;
			status = "okay";
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xa2 0x8>;
			status = "okay";
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {
			pwr_off_seq = <0x4000002>;
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x2710>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamio";
			status = "okay";
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vtp";
			status = "okay";
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
			vtouch-supply = <0xffffffff>;
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-hw-dl-key0 = <0x0>;
			mediatek,kpd-hw-dl-key1 = <0x1>;
			mediatek,kpd-hw-dl-key2 = <0x8>;
			mediatek,kpd-hw-factory-key = <0x1>;
			mediatek,kpd-hw-init-map = <0x73 0x72 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-pwrkey = <0x8>;
			mediatek,kpd-hw-recovery-key = <0x0>;
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-pwkey-gpio-din = <0x0>;
			mediatek,kpd-pwrkey-eint-gpio = <0x0>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				phandle = <0x32>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa100>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				phandle = <0x33>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa100>;
					slew-rate = <0x1>;
				};
			};

			cam1@0 {
				phandle = <0x34>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9b00>;
					slew-rate = <0x1>;
				};
			};

			cam1@1 {
				phandle = <0x35>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9b00>;
					slew-rate = <0x1>;
				};
			};

			cam2@0 {
				phandle = <0x36>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa300>;
					slew-rate = <0x1>;
				};
			};

			cam2@1 {
				phandle = <0x37>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa300>;
					slew-rate = <0x1>;
				};
			};

			cam3@0 {
				phandle = <0x38>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9f00>;
					slew-rate = <0x1>;
				};
			};

			cam3@1 {
				phandle = <0x39>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9f00>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				phandle = <0x31>;
			};

			camera_pins_cam0_mclk_2ma {
				phandle = <0x3b>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam0_mclk_4ma {
				phandle = <0x3c>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam0_mclk_6ma {
				phandle = <0x3d>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam0_mclk_8ma {
				phandle = <0x3e>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9801>;
				};
			};

			camera_pins_cam0_mclk_off {
				phandle = <0x3a>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9800>;
				};
			};

			camera_pins_cam1_mclk_2ma {
				phandle = <0x40>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9501>;
				};
			};

			camera_pins_cam1_mclk_4ma {
				phandle = <0x41>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9501>;
				};
			};

			camera_pins_cam1_mclk_6ma {
				phandle = <0x42>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9501>;
				};
			};

			camera_pins_cam1_mclk_8ma {
				phandle = <0x43>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9501>;
				};
			};

			camera_pins_cam1_mclk_off {
				phandle = <0x3f>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9500>;
				};
			};

			camera_pins_cam2_mclk_2ma {
				phandle = <0x45>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9901>;
				};
			};

			camera_pins_cam2_mclk_4ma {
				phandle = <0x46>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9901>;
				};
			};

			camera_pins_cam2_mclk_6ma {
				phandle = <0x47>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9901>;
				};
			};

			camera_pins_cam2_mclk_8ma {
				phandle = <0x48>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9901>;
				};
			};

			camera_pins_cam2_mclk_off {
				phandle = <0x44>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9900>;
				};
			};

			camera_pins_cam3_mclk_2ma {
				phandle = <0x4a>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam3_mclk_4ma {
				phandle = <0x4b>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam3_mclk_6ma {
				phandle = <0x4c>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam3_mclk_8ma {
				phandle = <0x4d>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x9701>;
				};
			};

			camera_pins_cam3_mclk_off {
				phandle = <0x49>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x9700>;
				};
			};
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			cam0_enable_sensor = "s5kjn1_mipi_raw";
			cam0_vcamio-supply = <0xffffffff>;
			cam1_enable_sensor = "hi1631q_mipi_raw";
			cam1_vcamio-supply = <0xffffffff>;
			cam2_enable_sensor = "gc02m1_mipi_raw";
			cam2_vcamio-supply = <0xffffffff>;
			cam3_enable_sensor = "gc02m1macro_mipi_raw";
			cam3_vcamio-supply = <0xffffffff>;
			pinctrl-0 = <0x31>;
			pinctrl-1 = <0x32>;
			pinctrl-10 = <0x3b>;
			pinctrl-11 = <0x3c>;
			pinctrl-12 = <0x3d>;
			pinctrl-13 = <0x3e>;
			pinctrl-14 = <0x3f>;
			pinctrl-15 = <0x40>;
			pinctrl-16 = <0x41>;
			pinctrl-17 = <0x42>;
			pinctrl-18 = <0x43>;
			pinctrl-19 = <0x44>;
			pinctrl-2 = <0x33>;
			pinctrl-20 = <0x45>;
			pinctrl-21 = <0x46>;
			pinctrl-22 = <0x47>;
			pinctrl-23 = <0x48>;
			pinctrl-24 = <0x49>;
			pinctrl-25 = <0x4a>;
			pinctrl-26 = <0x4b>;
			pinctrl-27 = <0x4c>;
			pinctrl-28 = <0x4d>;
			pinctrl-3 = <0x34>;
			pinctrl-4 = <0x35>;
			pinctrl-5 = <0x36>;
			pinctrl-6 = <0x37>;
			pinctrl-7 = <0x38>;
			pinctrl-8 = <0x39>;
			pinctrl-9 = <0x3a>;
			pinctrl-names = "default", "cam0_rst0", "cam0_rst1", "cam1_rst0", "cam1_rst1", "cam2_rst0", "cam2_rst1", "cam3_rst0", "cam3_rst1", "cam0_mclk_off", "cam0_mclk_2mA", "cam0_mclk_4mA", "cam0_mclk_6mA", "cam0_mclk_8mA", "cam1_mclk_off", "cam1_mclk_2mA", "cam1_mclk_4mA", "cam1_mclk_6mA", "cam1_mclk_8mA", "cam2_mclk_off", "cam2_mclk_2mA", "cam2_mclk_4mA", "cam2_mclk_6mA", "cam2_mclk_8mA", "cam3_mclk_off", "cam3_mclk_2mA", "cam3_mclk_4mA", "cam3_mclk_6mA", "cam3_mclk_8mA";
			status = "okay";
		};
	};

	fragment@68 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom0@50 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x6d>;
				reg = <0x50>;
				status = "okay";
			};
		};
	};

	fragment@69 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom1@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x6e>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {
			mt6360pd,intr_gpio = <0xffffffff 0x5 0x0>;
			mt6360pd,intr_gpio_num = <0x5>;
		};
	};

	fragment@70 {
		target = <0xffffffff>;

		__overlay__ {

			extldo_en_high {
				phandle = <0x10>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8b00>;
				};
			};

			extldo_en_low {
				phandle = <0x11>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8b00>;
				};
			};

			extldodefault {
				phandle = <0xf>;
			};
		};
	};

	fragment@71 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cam_vdd_ext@28 {
				compatible = "mediatek,cam_vdd_ext";
				reg = <0x28>;
				status = "okay";
			};
		};
	};

	fragment@72 {
		target = <0xffffffff>;

		__overlay__ {

			aw36515default {
				phandle = <0xc>;
			};

			aw36515hwen_high {
				phandle = <0xd>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x8d00>;
					slew-rate = <0x1>;
				};
			};

			aw36515hwen_low {
				phandle = <0xe>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x8d00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_bias_enn0_gpio {
				phandle = <0x6>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6c00>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enn1_gpio {
				phandle = <0x5>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6c00>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enp0_gpio {
				phandle = <0x4>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6b00>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enp1_gpio {
				phandle = <0x3>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6b00>;
					slew-rate = <0x1>;
				};
			};

			lcm_dsi_te {
				phandle = <0x9>;

				pins_cmd_dat {
					pinmux = <0x2701>;
				};
			};

			lcm_rst_out0_gpio {
				phandle = <0x8>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2800>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				phandle = <0x7>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2800>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x3>;
			pinctrl-1 = <0x4>;
			pinctrl-2 = <0x5>;
			pinctrl-3 = <0x6>;
			pinctrl-4 = <0x7>;
			pinctrl-5 = <0x8>;
			pinctrl-6 = <0x9>;
			pinctrl-names = "lcd_bias_enp1_gpio", "lcd_bias_enp0_gpio", "lcd_bias_enn1_gpio", "lcd_bias_enn0_gpio", "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};
};
